Index: kaffe/scripts/kaffe.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/kaffe.in,v
retrieving revision 1.6
diff -u -r1.6 kaffe.in
--- kaffe.in	1998/11/11 00:48:38	1.6
+++ kaffe.in	1998/12/03 15:13:11
@@ -17,6 +17,7 @@
 #	2. Klasses.jar in $datadir/kaffe
 #	3. pizza.jar in $datadir/kaffe
 #	4. classes.zip in $datadir/kaffe iff it exists.
+#	5. all other zip and jar files from $datadir/kaffe.
 #
 
 # If KAFFE_DEBUG is set to either gdb or emacs, a debugging session
@@ -34,6 +35,17 @@
 if test -f "$KAFFE_CLASSDIR/classes.zip"; then
   CLASSPATH="$CLASSPATH:$KAFFE_CLASSDIR/classes.zip"
 fi
+for jar in $KAFFE_CLASSDIR/*.jar $KAFFE_CLASSDIR/*.zip; do
+    case "$jar" in
+	$KAFFE_CLASSDIR/Klasses.jar | $KAFFE_CLASSDIR/pizza.jar | \
+	$KAFFE_CLASSDIR/classes.zip | \
+	"$KAFFE_CLASSDIR/*.jar" | "$KAFFE_CLASSDIR/*.zip" )
+	    ;;
+	* )
+	    CLASSPATH="$CLASSPATH:$jar"
+	    ;;
+    esac
+done
 export CLASSPATH
 LD_LIBRARY_PATH="$KAFFE_LIB"${LD_LIBRARY_PATH+":$LD_LIBRARY_PATH"}
 export LD_LIBRARY_PATH
